// Validate if a value is empty
function validateEmpty(value) {
  return value.trim() !== '';
}

// Validate if a value is a valid email address
function validateEmail(value) {
  const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
  return emailRegex.test(value);
}

// Validate if a value is a valid URL
function validateURL(value) {
  const urlRegex = /^(ftp|http|https):\/\/[^ "]+$/;
  return urlRegex.test(value);
}

// Validate if a value is a number
function validateNumber(value) {
  return !isNaN(parseFloat(value)) && isFinite(value);
}


function MZ/T_039-2013_B1(){

}


export {
  validateEmail, validateEmpty, validateNumber, validateURL
};

//在vue中使用：
// import { validateEmail, validateEmpty, validateNumber, validateURL } from '@/pages/WenJuanDiaoCha/Answer/Validate';
